Bug 796039 - Python client not recognizing source directories with pot files only in sub-directories.
Python client not recognizing source directories with pot files only in sub-d...
Status: CLOSED NEXTRELEASE
Product: Zanata
Classification: Community
Component: Component-PythonClient (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: James Ni
zanata-dev-internal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-22 01:42 EST by Carlos Munoz
Modified: 2012-04-26 04:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.3.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 04:12:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-02-22 01:42:11 EST
Description of problem:


Version-Release number of selected component (if applicable): 1.3.3


How reproducible:
Always


Steps to Reproduce:
1. Go to a publican project which has a source directory with no POT files directly underneath it. All of its POT files should be in sub-directories.
(e.g. /pot/subdir/file.pot)
2. Try running "zanata push --srcdir=./pot"
  
Actual results:
The following error message: "error: Can not find source folder, please specify the source folder with '--srcdir' or 'dir' option"


Expected results:
The python client should behave like the maven client in that it recursively finds all source documents under the specified source directory.


Additional info:
The publican-demo project under the zanata maven client is a prime example. This issue can be reproduced by using the python client instead of the maven client to push this project.
Comment 1 James Ni 2012-03-04 22:25:14 EST
Hi Carlos,

Thanks, I make a commit to git-hub to fix this issue, please verify this issue with:
https://github.com/zanata/zanata-python-client/commit/ee3c573cf4f7ddca66499d44fd975a3735a84ec2

Thanks
Comment 2 Carlos Munoz 2012-03-06 00:43:25 EST
Verified with Zanata python client version 1.3.3-29-gee3c

Note You need to log in before you can comment on or make changes to this bug.